# OpalPluginVideoFormatInternal Class Reference

`#include <opalpluginmgr.h>`

Inheritance diagram for OpalPluginVideoFormatInternal:

[legend]
Collaboration diagram for OpalPluginVideoFormatInternal:
[legend]

## Public Member Functions

| OpalPluginVideoFormatInternal (const PluginCodec_Definition *codec, const char *fmtName, const char *rtpEncodingName, time_t timeStamp)
virtual PObject * | Clone () const
virtual bool | IsValidForProtocol (const PString &protocol) const
virtual bool | ToNormalisedOptions ()
virtual bool | ToCustomisedOptions ()

## Constructor & Destructor Documentation

OpalPluginVideoFormatInternal::OpalPluginVideoFormatInternal | ( | const PluginCodec_Definition * | codec,
|  | const char * | fmtName,
|  | const char * | rtpEncodingName,
|  | time_t | timeStamp |
| ) |  |  |

Parameters:

  timeStamp | rtp encoding name timestamp (for versioning)

## Member Function Documentation

virtual PObject* OpalPluginVideoFormatInternal::Clone | ( |  | ) | const`[virtual]`

Reimplemented from OpalVideoFormatInternal.

virtual bool OpalPluginVideoFormatInternal::IsValidForProtocol | ( | const PString & | protocol | ) | const`[virtual]`

Reimplemented from OpalPluginMediaFormatInternal.

virtual bool OpalPluginVideoFormatInternal::ToCustomisedOptions | ( |  | ) | `[virtual]`

Reimplemented from OpalMediaFormatInternal.

virtual bool OpalPluginVideoFormatInternal::ToNormalisedOptions | ( |  | ) | `[virtual]`

Reimplemented from OpalMediaFormatInternal.

The documentation for this class was generated from the following file:

- opalpluginmgr.h